---
kind: pipeline
name: continuous deployment
steps:
  - name: push hugo image
    image: plugins/docker
    settings:
      username:
        from_secret: docker_reg_username
      password:
        from_secret: docker_reg_passwd
      dockerfile: Dockerfile.hugo
      repo: decentral1se/beta.lumbung.space
      tags: latest

  - name: push scripts image
    image: plugins/docker
    settings:
      no_cache: true
      username:
        from_secret: docker_reg_username
      password:
        from_secret: docker_reg_passwd
      dockerfile: Dockerfile.scripts
      repo: decentral1se/beta.lumbung.space-scripts
      tags: latest

  - name: deploy stack
    image: decentral1se/stack-ssh-deploy:latest
    settings:
      stack: beta_lumbung_space
      host: lumbung.space
      deploy_key:
        from_secret: drone_ssh_lumbung.space
    depends_on:
      - push hugo image
      - push scripts image
trigger:
  branch:
    - main
  event:
    exclude:
      - pull_request
